pro trace_order_data, success_file, email=email, background=background
;+
;   Name: trace_success_file
;
;   Purpose: generate data order FORM from success file  
;
;   Input Parameters:
;       success_file - ascii file list of successes from catalog search
;                      (from trace_idlcat.pro)
;   Side Effects:
;      if foreground, FORM echoed to user  (assumed at WWW browser)
;
;   History:
;       18-May-98  S.L.Freeland
;       19-May-98  S.L.Freeland - email , extend FORM 
;-  

box_message,success_file
; -------- use the FILE_DSET to link image/html documents ---------
file=(strsplit(success_file,'_',tail=imgss))(0)
break_file,success_file,ll,pp,ff,vv,ee

hname=success_file+'.html'
contents=rd_tfile(success_file)
query=where(strpos(contents,';') eq 0,qcnt)
if qcnt gt 0 then begin
   qcontents=str_replace(contents(query),';','')
   contents=strnocomment(contents,comment=';',/remove_nulls) 
endif
nimgs=n_elements(contents)

background=keyword_set(background)

order_html=''
order_template=concat_dir(concat_dir('path_http','Data'),'order_data.template')

if file_exist(order_template) then begin
   order_html=rd_tfile(order_template)
endif  else begin
   box_message,'No html template: ' + order_template  
endelse

if data_chk(email,/scalar,/string) then $
    order_html=str_replace(order_html,'EMAIL',email(0)) else $
    email = 'freeland@sxt1.lmsal.com'                           ; problem??

succ_html=['<br><select name="success_file">', $
	   '<option selected>' + success_file,'</select>']

if background then begin 

endif else begin 
  file_append,success_file,$
     [';;; trace_order_data run at' + systime(), ';;; ' + email]  ; append status

  html_doc,/header,hname
  file_append,hname,['<em><font color=red>Work in progress - ', $
	                 'Service Available Friday, 22-May </font></em>']
  file_append,hname,order_html  
  file_append,hname,succ_html
  if qcnt gt 0 then $
      file_append,hname,strtab2html(transpose(['Catalog Query',qcontents]),/left,/row0)
  file_append,hname,'<h4>Total Number of Images: <b><em>'+strtrim(nimgs,2)+'</em></b></h4>'
  file_append,hname,['<pre>',contents,'</pre>']
  html_doc,/trailer,hname
endelse
  
return
end

