pro trace_submit_request, qfile=qfile, debug=debug
;+
;   Name: trace_submit_request
;
;   Purpose: post processing of WWW data request
;
;   Keyword Parameters:
;      qfile - WWW Post Query filename  
;  
;   History:
;     19-May-1998 - S.L.Freeland
;-
debug=keyword_set(debug)
configure_http,/trace                     ; set WWW defaults to TRACE

; --------------- read and decode the FORM input -----------
break_file,qfile,log,paths,qfil,qver,qext
qfile=concat_dir(concat_dir(get_logenv('path_http'),'text_client'),qfil+qver+qext)
outfil=qfile + '.text'
qstr=url_decode(qfile=qfile)
tnames=tag_names(qstr)
; --------------- -----------------------------------------

; ----------  derive HTML output document ---------------------
htmlfile=str_replace(outfil,'text','html')
html_doc,htmlfile,/header
file_append,htmlfile,['<em>Your <b>TRACE</b> data request was submitted for offline processing', $
  '<br>We will notify <b>'+gt_tagval(qstr,/email,missing='????') + '</b> when complete<p><b>Job Description</b>']	     
for i=1,n_tags(qstr)-1 do $
     file_append, htmlfile, '<br><em>' + tnames(i)+ $
     '</em>&#32 <font color=red>' + qstr.(i) +'</font>
html_doc,htmlfile,/trailer
; ----------------------------------------------------------------
if debug then stop

return
end

